Update
curl --request PATCH \
--url https://api.ngrok.com/reserved_addrs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'ngrok-version: <ngrok-version>' \
--data '
{
"id": "<string>",
"description": "<string>",
"metadata": "<string>"
}
'import requests
url = "https://api.ngrok.com/reserved_addrs/{id}"
payload = {
"id": "<string>",
"description": "<string>",
"metadata": "<string>"
}
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'ngrok-version': '<ngrok-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: '<string>', description: '<string>', metadata: '<string>'})
};
fetch('https://api.ngrok.com/reserved_addrs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"created_at": "<string>",
"description": "<string>",
"metadata": "<string>",
"addr": "<string>",
"region": "<string>"
}{
"status_code": 123,
"msg": "<string>",
"error_code": "<string>",
"details": {}
}{
"status_code": 123,
"msg": "<string>",
"error_code": "<string>",
"details": {}
}Reserved Addrs
Update
Update an existing reserved static IP address configuration or metadata.
PATCH
/
reserved_addrs
/
{id}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Response
Update the attributes of a reserved address.
unique reserved address resource identifier
URI of the reserved address API resource
timestamp when the reserved address was created, RFC 3339 format
human-readable description of what this reserved address will be used for
arbitrary user-defined machine-readable data of this reserved address. Optional, max 4096 bytes.
hostname:port of the reserved address that was assigned at creation time
reserve the address in this geographic ngrok datacenter. Optional, default is us. (au, eu, ap, us, jp, in, sa)
Was this page helpful?
⌘I